# -*- coding: utf-8 -*-

import os

level = 0
on = True

def set(v):
	global on
	on = v

def save():
	global level
	level += 1
	return level - 1

def restore(lvl):
	global level
	level = lvl

def log(*msg):
	if not on: return
	s = '  ' * level
	for m in msg:
		s += str(m)
	print s

class logger:
	def __init__(self, msg):
		self.msg = msg
	
	def __call__(self, f):
		def newf(*args):
			log(self.msg)
			global level
			_level = level
			level += 1
			try:
				res = f(*args)
			finally:
				level = _level
			return res
		return newf
