# -*- coding: utf-8 -*-

from tests import *
from postprocess import *

timeout = 60 * 5   # five minutes!

cores, speeds = get_cluster('chti')

dims = [ speeds, BENCHES, ENGINES, range(10) ]

def tests():
	'''This generator defines test to perform'''
	for speed, bench, engine, id in product(*dims):
		t = Test(name = str(speed), cluster = 'chti', bench = bench, engine = engine, id = id)
		t['latency'] = 100000
		t['granularity'] = 100000
		t['speeds'] = [ speed ]
		t.default_output()
		yield t
	
