# -*- coding: utf-8 -*-
# recovery after errors

from logging import log, save, restore
import os.path
import os

rollbacks = []

def register(f, args):
	rollbacks.append( (f, args) )

def rollback():
	for f, args in reversed(rollbacks):  # Stack structure
		level = save()
		try:
			f(*args)
		except Exception, e:
			log('Exception: ', e)
		finally:
			restore(level)
	return None

def delete_file(name):
	log('Removing file \'%s\'' % name)
	if os.path.isfile(name):
		os.remove(name)
		