
#include <stdio.h>
#include "common.h"

int main(void)
{
	timespan ts = MEASURE(LOOP(), 3.);
	double cpu  = ts.cpu;
	double wall = ts.wall;
	double mps  = ts.loops / ts.wall;
	
	printf("# wall: %.4lf, cpu: %.4lf, ratio: %.4lf\n", wall, cpu, wall / cpu);
	printf("stressint=%.8lf\n", mps);
	
    return 0;
}
